Bug 128499 - FILESAVE: DOC: Formatting in TOC is lost after RT
Summary: FILESAVE: DOC: Formatting in TOC is lost after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.5.0 target:6.4.0.1 target:6.3.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-31 12:17 UTC by Xisco Faulí
Modified: 2019-12-04 18:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison before and after (299.53 KB, image/png)
2019-10-31 12:17 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-31 12:17:19 UTC
Created attachment 155424 [details]
Comparison before and after

Steps to reproduce:
1. Open attachment 86186 [details] from bug 69613
2. Save it as .DOC
3. Open the new created file

-> TOC table doesn't have any format

Reproduced in

Version: 6.4.0.0.alpha1+
Build ID: 2d0a4182712673d8f7a5abe919cd2a1d5ece4a77
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-10-31 12:18:31 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7376a47680b65cbdfd747a736f288e06f51f7f2d

author	László Németh <nemeth@numbertext.org>	2019-05-28 13:49:01 +0200
committer	László Németh <nemeth@numbertext.org>	2019-05-28 16:38:44 +0200
commit	7376a47680b65cbdfd747a736f288e06f51f7f2d (patch)
tree	dd7305738117c83148027a914513f18977711994
parent	86cab846c1a122dd4dd5f5c4ca5750a0fc397c6b (diff)
tdf#92335 DOCX: fix multiplying of "ListLabel" styles

Bisected with: bibisect-linux64-6.3

Adding Cc: to László Németh
Comment 2 Xisco Faulí 2019-10-31 12:36:09 UTC
attachment 119772 [details] from bug 95189 is also affected
Comment 3 Commit Notification 2019-11-22 14:00:56 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/82f7252b143ed18ac517b4261726d094f136047d

tdf#128499 DOC export: fix lost ToC formatting regression

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-11-22 16:42:25 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a92794b86ed9c8673b4907a2369f30180e78e14e

tdf#128499 DOC export: fix lost ToC formatting regression

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 László Németh 2019-11-22 16:44:20 UTC
(In reply to Xisco Faulí from comment #2)
> attachment 119772 [details] from bug 95189 is also affected

Xisco: I've checked this file, but it doesn't contain ToC, also it's not affected by this regression, so I closed this issue.
Comment 6 Xisco Faulí 2019-11-23 08:05:27 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: a96fd458a41eb0abcb6b02e0039189c877d4a502
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!
Comment 7 Xisco Faulí 2019-11-23 08:05:58 UTC
(In reply to László Németh from comment #5)
> (In reply to Xisco Faulí from comment #2)
> > attachment 119772 [details] from bug 95189 is also affected
> 
> Xisco: I've checked this file, but it doesn't contain ToC, also it's not
> affected by this regression, so I closed this issue.

Yep, you're right, maybe I used the wrong file, will doublecheck
Comment 8 Commit Notification 2019-11-23 16:38:08 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/e18866b6bcca32b07864456d6960b2ae09ac89c6

tdf#128499 DOC export: fix lost ToC formatting regression

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-12-04 16:35:44 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-4":

https://git.libreoffice.org/core/commit/b160368ec0049babacd92011a1e769f6f27787c3

tdf#128499 DOC export: fix lost ToC formatting regression

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.